# TODO: remaining dependencies, tests and docs
#
# Conditional build:
%bcond_with	doc	# API documentation (TODO)
%bcond_without	tests	# unit tests

Summary:	Doing dirty (but extremely useful) things with equals
Summary(pl.UTF-8):	Brzydkie (ale bardzo przydatne) rzeczy z równościami
Name:		python3-dirty_equals
Version:	0.9.0
Release:	1
License:	MIT
Group:		Libraries/Python
#Source0Download: https://pypi.org/simple/dirty-equals/
Source0:	https://files.pythonhosted.org/packages/source/d/dirty-equals/dirty_equals-%{version}.tar.gz
# Source0-md5:	30c11543fce834296173f13512c81202
URL:		https://pypi.org/project/dirty-equals/
BuildRequires:	python3-build
BuildRequires:	python3-hatchling
BuildRequires:	python3-installer
BuildRequires:	python3-modules >= 1:3.8
%if %{with tests}
BuildRequires:	python3-packaging
# optional, required for IsUrl and test_other
#BuildRequires:	python3-pydantic >= 2.4.2
BuildRequires:	python3-pytest
# for test_docs
#BuildRequires:	python3-pytest-examples
BuildRequires:	python3-pytest-mock
#BuildRequires:	python3-pytest-pretty
%if "%{py3_ver}" == "3.8"
BuildRequires:	python3-pytz >= 2021.3
%endif
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 2.044
%if %{with doc}
BuildRequires:	python3-mile
BuildRequires:	python3-mkdocs
BuildRequires:	python3-mkdocs-material
BuildRequires:	python3-mkdocs-simple-hooks
# expand extras from mkdocstrings[python]
BuildRequires:	python3-mkdocstrings
%endif
Requires:	python3-modules >= 1:3.8
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
dirty_equals is a Python library that (mis)uses the __eq__ method to
make Python code (generally unit tests) more declarative and therefore
easier to read and write.

%description -l pl.UTF-8
dirty_equals to biblioteka Pythona (nad)używająca metody __eq__, aby
uczynić kod pythonowy (w szczgólności testy jednostkowe) bardziej
deklaratywnym, a przez to łatwiejszym przy czytaniu i pisaniu.

%package apidocs
Summary:	API documentation for Python dirty_equals module
Summary(pl.UTF-8):	Dokumentacja API modułu Pythona dirty_equals
Group:		Documentation

%description apidocs
API documentation for Python dirty_equals module.

%description apidocs -l pl.UTF-8
Dokumentacja API modułu Pythona dirty_equals.

%prep
%setup -q -n dirty_equals-%{version}

# temporary, until we have pydantic and pytest-examples
%{__rm} tests/test_docs.py
%{__rm} tests/test_other.py

%build
%py3_build_pyproject

%if %{with tests}
# IsDateTime tests expect UTC
PYTEST_DISABLE_PLUGIN_AUTOLOAD=1 \
PYTEST_PLUGINS=pytest_mock.plugin \
PYTHONPATH=$(pwd) \
TZ=UTC \
%{__python3} -m pytest tests -k 'not test_docs and not test_other'
%endif

%if %{with doc}
mkdocs build --strict
%endif

%install
rm -rf $RPM_BUILD_ROOT

%py3_install_pyproject

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc LICENSE README.md
%{py3_sitescriptdir}/dirty_equals
%{py3_sitescriptdir}/dirty_equals-%{version}.dist-info

%if %{with doc}
%files apidocs
%defattr(644,root,root,755)
%doc docs/...
%endif
%changelog
* Fri Jul 11 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-dirty_equals.git;a=log;h=master

* Fri Jul 11 2025 Jakub Bogusz <qboosh@pld-linux.org> e3ca5f7
- new

